<ng-container *transloco="let t">
  <h2
    mat-dialog-title
    class="primary-title">
    {{t('moderate_organizations.edit_categories')}}
  </h2>
  <form
    [formGroup]="categoriesForm"
    (ngSubmit)="onSubmit()">
    <mat-dialog-content class="mat-typography dialog-content-text-color column-container">
      <section formArrayName="categories">
        <div class="row-container">
          <mat-checkbox
            *ngFor="let category of ORGANIZATION_CATEGORY_SELECTION; index as i"
            [formControlName]="i"
            color="primary">
            {{'organization_categories.'+category|transloco}}
          </mat-checkbox>
        </div>
        <mat-error
          class="checkbox-error"
          [ngClass]="categories.hasError('atLeastOne') ? 'show' : 'hide'">
          {{t('general_forms.at_least_one_category')}}
        </mat-error>
      </section>
    </mat-dialog-content>
    <mat-divider></mat-divider>
    <div class="button-container">
      <button
        mat-stroked-button
        color="warn"
        class="round-button stroked-button-border-color"
        [mat-dialog-close]="undefined">
        {{t('moderate_forms.cancel')}}
      </button>
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        type="submit"
        [disabled]="categoriesForm.invalid">
        {{t('moderate_forms.confirm')}}
      </button>
    </div>
  </form>
</ng-container>
